/************************************************************************************
gpsserviceirs
Copyright (c) 2010, International Rescue System Institute
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD license.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/

//***************************************************************************************//
//* TestOutput.cpp							     2009.10.13 *//
//*											*//
//* Test Output RTMプログラム [Ver.1.0.0]						*//
//***************************************************************************************//


// -*- C++ -*-
/*!
 * @file  TestOutput.cpp
 * @brief Test Output for GPS Service Module
 * $Date$
 *
 * $Id$
 */

#include "TestOutput.h"

// Module specification
// <rtc-template block="module_spec">
static const char* testoutput_spec[] =
  {
    "implementation_id", "TestOutput",
    "type_name",         "TestOutput",
    "description",       "Test Output for GPS Service Module",
    "version",           "1.0.0",
    "vendor",            "IRS",
    "category",          "Device",
    "activity_type",     "DataFlowComponent",
    "max_instance",      "1",
    "language",          "C++",
    "lang_type",         "compile",
    // Configuration variables

    ""
  };
// </rtc-template>

TestOutput::TestOutput(RTC::Manager* manager)
  : RTC::DataFlowComponentBase(manager),
    // <rtc-template block="initializer">
    m_LegacyDataIn("LegacyData", m_LegacyData),
    
    // </rtc-template>
	dummy(0)
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  registerInPort("LegacyData", m_LegacyDataIn);
  
  // Set OutPort buffer
  
  // Set service provider to Ports
  
  // Set service consumers to Ports
  
  // Set CORBA Service Ports
  
  // </rtc-template>

}

TestOutput::~TestOutput()
{
}

RTC::ReturnCode_t TestOutput::onInitialize()
{
	// <rtc-template block="bind_config">
	// Bind variables and configuration variable

	// </rtc-template>


	return RTC::RTC_OK;										// 戻り値 [正常終了]

}

/*
RTC::ReturnCode_t TestOutput::onFinalize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onStartup(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onShutdown(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

RTC::ReturnCode_t TestOutput::onActivated(RTC::UniqueId ec_id)
{

	return RTC::RTC_OK;										// 戻り値 [正常終了]

}

RTC::ReturnCode_t TestOutput::onDeactivated(RTC::UniqueId ec_id)
{


	//-- [終了処理] ------------------------------------------------------------------------//

	fflush(stdout);											// バッファフラッシュ [printf表示用]
	printf("\x1b[23B");										// エスケープシーケンス

	//--------------------------------------------------------------------------------------//


	return RTC::RTC_OK;										// 戻り値 [正常終了]

}

RTC::ReturnCode_t TestOutput::onExecute(RTC::UniqueId ec_id)
{


	//-- [データ更新] ----------------------------------------------------------------------//

	if(m_LegacyDataIn.isNew()){									// 更新チェック

		m_LegacyDataIn.read();									// データ読み込み


		//-- [タイムスタンプ表示] ------------------------------------------------------//

		printf("                                                       \r");			// 初期化 [空白]
		printf("\n[Timestamp] %lf\n",
			(double)m_LegacyData.tm.sec + (double)m_LegacyData.tm.nsec / 1000000000.0);	// メッセージ表示 [Timestamp]

		//------------------------------------------------------------------------------//


		//-- [モード表示] --------------------------------------------------------------//

		printf("[Mode     ] %4d -> %d%d%d%d%d%d%d%d%d%d%d\n", m_LegacyData.mode,
			(m_LegacyData.mode & 0x0400) >> 10, (m_LegacyData.mode & 0x200) >>  9,
			(m_LegacyData.mode & 0x0100) >>  8, (m_LegacyData.mode & 0x080) >>  7,
			(m_LegacyData.mode & 0x0040) >>  6, (m_LegacyData.mode & 0x020) >>  5,
			(m_LegacyData.mode & 0x0010) >>  4, (m_LegacyData.mode & 0x008) >>  3,
			(m_LegacyData.mode & 0x0004) >>  2, (m_LegacyData.mode & 0x002) >>  1,
			(m_LegacyData.mode & 0x0001));							// メッセージ表示 [Mode]

		//------------------------------------------------------------------------------//


		//-- [GGAメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GGA      ] ");									// メッセージ表示 [GGA]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field00[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field01[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field02[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field03[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field04[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field05[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field06[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field07[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field08[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field09[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field09[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field10[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field10[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field11[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field11[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field12[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field12[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field13[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field13[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field14[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field14[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gga.field15[i]);					// データ表示 [GGA]
			if(m_LegacyData.gga.field15[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GLLメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GLL      ] ");									// メッセージ表示 [GLL]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field00[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field01[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field02[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field03[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field04[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field05[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field06[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field07[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gll.field08[i]);					// データ表示 [GLL]
			if(m_LegacyData.gll.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GNSメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GNS      ] ");									// メッセージ表示 [GNS]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field00[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field01[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field02[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field03[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field04[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field05[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field06[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field07[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field08[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field09[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field09[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field10[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field10[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field11[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field11[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.field12[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.field12[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gp_field00[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gp_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gp_field01[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gp_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",,,,,,");									// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gp_field07[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gp_field07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",,,,");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gp_field11[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gp_field11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gp_field12[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gp_field12[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gl_field00[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gl_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gl_field01[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gl_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",,,,,,");									// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gl_field07[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gl_field07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",,,,");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gl_field11[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gl_field11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gns.gl_field12[i]);					// データ表示 [GNS]
			if(m_LegacyData.gns.gl_field12[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GRSメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GRS      ] ");									// メッセージ表示 [GRS]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field00[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field01[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field02[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_01[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_02[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_03[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_04[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_05[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_06[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_07[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_08[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_08[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_09[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_09[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_10[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_10[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_11[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field03_12[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field03_12[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gp_field04[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gp_field04[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field00[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field01[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field02[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_01[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_02[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_03[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_04[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_05[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_06[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_07[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_08[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_08[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_09[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_09[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_10[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_10[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_11[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field03_12[i]);				// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field03_12[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.grs.gl_field04[i]);					// データ表示 [GRS]
			if(m_LegacyData.grs.gl_field04[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GSAメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GSA      ] ");									// メッセージ表示 [GSA]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field00[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field01[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field02[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_01[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_02[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_03[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_04[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_05[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_06[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_07[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_08[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_08[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_09[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_09[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_10[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_10[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_11[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field03_12[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field03_12[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field04[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field05[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field06[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gp_field07[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gp_field07[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field00[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field01[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field02[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_01[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_02[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_03[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_04[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_05[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_06[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_07[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_07[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_08[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_08[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_09[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_09[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_10[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_10[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_11[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_11[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field03_12[i]);				// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field03_12[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field04[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field04[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field05[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field06[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field06[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsa.gl_field07[i]);					// データ表示 [GSA]
			if(m_LegacyData.gsa.gl_field07[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GSTメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GST      ] ");									// メッセージ表示 [GST]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field00[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field01[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field02[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field03[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field04[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field05[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field06[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field07[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field08[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gst.field09[i]);					// データ表示 [GST]
			if(m_LegacyData.gst.field09[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [GSVメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[GSV      ] ");									// メッセージ表示 [GSV]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp1_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp1_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp2_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp2_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gp3_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gp3_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl1_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl1_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 改行

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl2_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl2_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("            ");									// 余白

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field00[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field00[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field01[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field01[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field02[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field02[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field03[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field03[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_1_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_1_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_1_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_1_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_1_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_1_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_1_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_1_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_2_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_2_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_2_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_2_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_2_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_2_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_2_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_2_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_3_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_3_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_3_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_3_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_3_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_3_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_3_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_3_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_4_1[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_4_1[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_4_2[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_4_2[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_4_3[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_4_3[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field04_4_4[i]);				// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field04_4_4[i] == 0x00) break;				// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.gsv.gl3_field05[i]);					// データ表示 [GSV]
			if(m_LegacyData.gsv.gl3_field05[i] == 0x00) break;				// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [HDTメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[HDT      ] ");									// メッセージ表示 [HDT]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.hdt.field00[i]);					// データ表示 [HDT]
			if(m_LegacyData.hdt.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.hdt.field01[i]);					// データ表示 [HDT]
			if(m_LegacyData.hdt.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.hdt.field02[i]);					// データ表示 [HDT]
			if(m_LegacyData.hdt.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.hdt.field03[i]);					// データ表示 [HDT]
			if(m_LegacyData.hdt.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [RMCメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[RMC      ] ");									// メッセージ表示 [RMC]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field00[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field01[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field02[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field03[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field04[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field05[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field06[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field07[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field08[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field09[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field09[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field10[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field10[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field11[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field11[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field12[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field12[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.rmc.field13[i]);					// データ表示 [RMC]
			if(m_LegacyData.rmc.field13[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [VTGメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[VTG      ] ");									// メッセージ表示 [VTG]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field00[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field01[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field02[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field03[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field04[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field05[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field06[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field07[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field08[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field08[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field09[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field09[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.vtg.field10[i]);					// データ表示 [VTG]
			if(m_LegacyData.vtg.field10[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [ZDAメッセージ表示] -------------------------------------------------------//

		printf("                                                       ");			// 初期化 [空白]
		printf("                                                       \r");			// 初期化 [空白]
		printf("[ZDA      ] ");									// メッセージ表示 [ZDA]

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field00[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field00[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field01[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field01[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field02[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field02[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field03[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field03[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field04[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field04[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field05[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field05[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field06[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field06[i] == 0x00) break;					// 終端文字チェック

		}

		printf(",");										// カンマ表示

		for(i = 0; i < DATASIZE; i++){

			printf("%c", m_LegacyData.zda.field07[i]);					// データ表示 [ZDA]
			if(m_LegacyData.zda.field07[i] == 0x00) break;					// 終端文字チェック

		}

		printf("\n");										// 改行

		//------------------------------------------------------------------------------//


		//-- [復帰処理] ----------------------------------------------------------------//

		fflush(stdout);										// バッファフラッシュ [printf表示用]
		printf("\x1b[23A");									// エスケープシーケンス

		//------------------------------------------------------------------------------//


	}

	//--------------------------------------------------------------------------------------//


	return RTC::RTC_OK;										// 戻り値 [正常終了]

}

/*
RTC::ReturnCode_t TestOutput::onAborting(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onError(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onReset(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onStateUpdate(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t TestOutput::onRateChanged(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/



extern "C"
{

  void TestOutputInit(RTC::Manager* manager)
  {
    RTC::Properties profile(testoutput_spec);
    manager->registerFactory(profile,
                             RTC::Create<TestOutput>,
                             RTC::Delete<TestOutput>);
  }

};


