/************************************************************************************
gpsserviceirs
Copyright (c) 2010, International Rescue System Institute
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD license.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/

//***********************************************************************************************//
//* legacy.h											*//
//***********************************************************************************************//

//-- [ヘッダファイル二重読込防止処理]------------------------------------------------------------//
#ifndef __LEGACY__											// 条件コンパイル開始
#define __LEGACY__											// 条件判断用定義セット
//-----------------------------------------------------------------------------------------------//


//-- [ヘッダファイル] ---------------------------------------------------------------------------//
//- fcntl.h	: fcntl, open									-//
//- signal.h	: sigaction, struct sigaction							-//
//- stdio.h	: perror, printf								-//
//- stdlib.h	: atof, exit									-//
//- string.h	: strcat, strcmp, strcpy, strlen						-//
//- strings.h	: bzero										-//
//- termios.h	: tcflash, tcgetattr								-//
//- time.h	: gettimeofday									-//
//- unistd.h	: close, read, tcsetattr							-//
//- sys/time.h	: gettimeofday									-//
//-----------------------------------------------------------------------------------------------//
#include <fcntl.h>											// fcntlヘッダファイル読み込み
#include <signal.h>											// signalヘッダファイル読み込み
#include <stdio.h>											// stdioヘッダファイル読み込み
#include <stdlib.h>											// stdlibヘッダファイル読み込み
#include <string.h>											// stringヘッダファイル読み込む
#include <strings.h>											// stringsヘッダファイル読み込み
#include <termios.h>											// termiosヘッダファイル読み込み
#include <time.h>											// timeヘッダファイル読み込み
#include <unistd.h>											// unistdヘッダファイル読み込み
#include <sys/time.h>											// sys/timeヘッダファイル読み込み
//-----------------------------------------------------------------------------------------------//


//-- [置換] -------------------------------------------------------------------------------------//
#define BUFSIZE		256										// 最大送受信文字数
#define DATASIZE	16										// 最大データ文字数
#define COEFFICIENT	2										// タイムアウト係数
//-----------------------------------------------------------------------------------------------//


//-- [プロトタイプ宣言] -------------------------------------------------------------------------//
extern void signal_handler_IO(int);									// シグナル処理関数
extern void rs232c_init(int *, struct sigaction *, struct termios *, struct termios *,
	char *, unsigned long int);									// シリアルポート初期化関数
extern void rs232c_final(int *, struct termios *);							// シリアルポート終了処理関数
extern double gettimeofday_sec();									// 時間確認関数
//-----------------------------------------------------------------------------------------------//


//-- [変数宣言] ---------------------------------------------------------------------------------//
extern int wait_flag;											// フラグ格納変数 [読み取り用]
//-----------------------------------------------------------------------------------------------//


//-- [ヘッダファイル末尾] -----------------------------------------------------------------------//
#endif													// 条件コンパイル終了
//-----------------------------------------------------------------------------------------------//
